const { findByProps } = demon.summon("modules/webpack")
const { before }      = demon.summon("patcher")

function onStart() {
	const createPendingReply = findByProps("createPendingReply")
	const unpatch = before("createPendingReply", createPendingReply, (args) => {
		args[0].shouldMention = false
	})
	return {
		unpatch
	}
}

function onStop(ctx) {
	ctx.unpatch()
}

export default {
	onStart,
	onStop,
	meta: {
		name: "noReplyMention",
		desc: "Disable reply pings by default."
	}
}
